package autocontrol

import (
	"ifms/internal/mods/autocontrol/api"
	"ifms/internal/mods/autocontrol/biz"
	"ifms/internal/mods/autocontrol/dal"

	"github.com/google/wire"
)

var Set = wire.NewSet(
	wire.Struct(new(AutoControl), "*"),
	wire.Struct(new(dal.DeviceRunLog), "*"),
	wire.Struct(new(biz.DeviceRunLog), "*"),
	wire.Struct(new(api.DeviceRunLog), "*"),
	wire.Struct(new(dal.DeviceControlLog), "*"),
	wire.Struct(new(biz.DeviceControlLog), "*"),
	wire.Struct(new(api.DeviceControlLog), "*"),
	wire.Struct(new(dal.Device), "*"),
	wire.Struct(new(biz.Device), "*"),
	wire.Struct(new(api.Device), "*"),
	wire.Struct(new(dal.DeviceFishPond), "*"),
	wire.Struct(new(biz.DeviceFishPond), "*"),
	wire.Struct(new(api.DeviceFishPond), "*"),
	wire.Struct(new(dal.DeviceTypeInfo), "*"),
	wire.Struct(new(biz.DeviceTypeInfo), "*"),
	wire.Struct(new(api.DeviceTypeInfo), "*"),
)
