package digital

import (
	"ifms/internal/mods/digital/api"
	"ifms/internal/mods/digital/biz"
	"ifms/internal/mods/digital/dal"

	"github.com/google/wire"
)

var Set = wire.NewSet(
	wire.Struct(new(DIGITAL), "*"),
	wire.Struct(new(dal.Diagram), "*"),
	wire.Struct(new(biz.Diagram), "*"),
	wire.Struct(new(api.Diagram), "*"),
)
