package envmonitor

import (
	"ifms/internal/mods/envmonitor/api"
	"ifms/internal/mods/envmonitor/biz"
	"ifms/internal/mods/envmonitor/dal"

	"github.com/google/wire"
)

var Set = wire.NewSet(
	wire.Struct(new(EnvMonitor), "*"),
	wire.Struct(new(dal.EnvMonitorDeviceTypeInfo), "*"),
	wire.Struct(new(biz.EnvMonitorDeviceTypeInfo), "*"),
	wire.Struct(new(api.EnvMonitorDeviceTypeInfo), "*"),
	wire.Struct(new(dal.EnvMonitorDevice), "*"),
	wire.Struct(new(biz.EnvMonitorDevice), "*"),
	wire.Struct(new(api.EnvMonitorDevice), "*"),
	wire.Struct(new(dal.EnvMonitorDeviceFishPond), "*"),
	wire.Struct(new(biz.EnvMonitorDeviceFishPond), "*"),
	wire.Struct(new(api.EnvMonitorDeviceFishPond), "*"),
	wire.Struct(new(dal.EnvMonitorDeviceWarningConfig), "*"),
	wire.Struct(new(biz.EnvMonitorDeviceWarningConfig), "*"),
	wire.Struct(new(api.EnvMonitorDeviceWarningConfig), "*"),
	wire.Struct(new(dal.EnvMonitorDeviceSensor), "*"),
	wire.Struct(new(biz.EnvMonitorDeviceSensor), "*"),
	wire.Struct(new(api.EnvMonitorDeviceSensor), "*"),
	wire.Struct(new(dal.EnvMonitorDeviceWarningLog), "*"),
	wire.Struct(new(biz.EnvMonitorDeviceWarningLog), "*"),
	wire.Struct(new(api.EnvMonitorDeviceWarningLog), "*"),
)
